<!-- templates/patient-dashboard.html -->

{% extends 'base.html' %}

{% block title %}Patient Dashboard{% endblock %}

{% block content %}
  <h2>Welcome to Your Patient Dashboard</h2>
  
  <!-- Display patient information -->
  <h3>Your Information:</h3>
  <p>Name: {{ user.patient.get_full_name }}</p>
  <p>Email: {{ user.email }}</p>
  <!-- Add more patient information as needed -->

  <!-- Appointment section -->
  <h3>Appointments:</h3>
  <ul>
    {% for appointment in appointments %}
      <li>{{ appointment.date }} - {{ appointment.event_type }}</li>
    {% endfor %}
  </ul>

  <!-- Prescription section -->
  <h3>Prescriptions:</h3>
  <ul>
    {% for prescription in prescriptions %}
      <li>{{ prescription.medications.all|join:", " }} - {{ prescription.dose }}</li>
    {% endfor %}
  </ul>

  <!-- Add more sections based on your needs -->

{% endblock %}
